# Reference manual - word index

###

`_LOADED`
`_PROMPT`
`_REQUIREDNAME`
`_VERSION`

### A

acceptable index
``add'' event
adjustment
and
`arg`
arguments
arithmetic operators
arrays
`assert`
Assignment
associative arrays

### B

basic types
block
boolean
break statement

### C

C API
....... `Chunkreader`
....... `lua_baselibopen`
....... `lua_call`
....... `lua_CFunction`
....... `lua_checkstack`
....... `lua_close`
....... `lua_closethread`
....... `lua_concat`
....... `lua_dblibopen`
....... `lua_Debug`
....... `lua_equal`
....... `LUA_ERRERR`
....... `LUA_ERRMEM`
....... `lua_error`
....... `LUA_ERRRUN`
....... `LUA_ERRSYNTAX`
....... `lua_getgccount`
....... `lua_getgcthreshold`
....... `lua_gethook`
....... `lua_gethookmask`
....... `lua_getinfo`
....... `lua_getlocal`
....... `lua_getmetatable`
....... `lua_getstack`
....... `lua_gettable`
....... `lua_gettop`
....... `LUA_GLOBALSINDEX`
....... `lua_Hook`
....... `LUA_HOOKCALL`
....... `LUA_HOOKCOUNT`
....... `LUA_HOOKLINE`
....... `LUA_HOOKRET`
....... `lua_insert`
....... `lua_iolibopen`
....... `lua_isboolean`
....... `lua_iscfunction`
....... `lua_isfunction`
....... `lua_islightuserdata`
....... `lua_isnil`
....... `lua_isnumber`
....... `lua_isstring`
....... `lua_istable`
....... `lua_isuserdata`
....... `lua_lessthan`
....... `lua_load`
....... `lua_mathlibopen`
....... `LUA_MINSTACK`
....... `LUA_MULTRET`
....... `lua_newtable`
....... `lua_newthread`
....... `lua_newuserdata`
....... `lua_next`
....... `lua_Number`
....... `lua_open`
....... `lua_pop`
....... `lua_pushboolean`
....... `lua_pushcclosure`
....... `lua_pushcfunction`
....... `lua_pushfstring`
....... `lua_pushlightuserdata`
....... `lua_pushlstring`
....... `lua_pushnil`
....... `lua_pushnumber`
....... `lua_pushstring`
....... `lua_pushvalue`
....... `lua_pushvfstring`
....... `lua_rawget`
....... `lua_rawgeti`
....... `lua_rawset`
....... `lua_rawseti`
....... `lua_register`
....... `LUA_REGISTRYINDEX`
....... `lua_remove`
....... `lua_replace`
....... `lua_setgcthreshold`
....... `lua_sethook`
....... `lua_setlocal`
....... `lua_setmetatable`
....... `lua_settable`
....... `lua_settop`
....... `lua_State`
....... `lua_strlen`
....... `lua_strlibopen`
....... `lua_tablibopen`
....... `lua_toboolean`
....... `lua_tocfunction`
....... `lua_tonumber`
....... `lua_tostring`
....... `lua_touserdata`
....... `lua_type`
....... `lua_typename`
....... `lua_upvalueindex`
C closure
``call'' event
captures
character class
chunk
`collectgarbage`
Comments
concatenation
``concatenation'' event
condition expression
constructors
`coroutine.create`
`coroutine.resume`
`coroutine.wrap`
`coroutine.yield`

### D

`debug`
`debug.gethook`
`debug.getinfo`
`debug.getlocal`
`debug.sethook`
`debug.setlocal`
``div'' event
`dofile`

### E

eight-bit clean
events
exponentiation
Expressions

### F

`file:close`
`file:flush`
`file:lines`
`file:read`
`file:seek`
`file:write`
finalizer
for statement
full userdata
function
function call
Function Definitions

### G

garbage collector
`gcinfo`
generators
`getglobals`
`getmetatable`
global environment
grammar
....... args
....... binop
....... block
....... chunk
....... exp
....... explist1
....... field
....... fieldlist
....... fieldsep
....... funcbody
....... funcname
....... function
....... functioncall
....... init
....... namelist
....... parlist1
....... prefixexp
....... stat
....... tableconstructor
....... unop
....... var
....... varlist1

### I

Identifiers
if-then-else statement
``index'' event
`io`
`io.close`
`io.flush`
`io.input`
`io.lines`
`io.open`
`io.output`
`io.read`
`io.stderr`
`io.stdin`
`io.stdout`
`io.tmpfile`
`io.write`
`ipairs`

### K

keywords
....... `and`
....... `break`
....... `do`
....... `else`
....... `elseif`
....... `false`
....... `for`
....... `function`
....... `if`
....... `in`
....... `local`
....... `nil`
....... `not`
....... `or`
....... `repeat`
....... `return`
....... `true`
....... `until`
....... `while`
keywords

### L

lexical scoping
light userdata
Literal strings
`loadfile`
`loadstring`
Local variables
logical operators
``lt'' event
Lua Stand-alone
`LUA_INIT`
`LUA_PATH`
`luac`

### M

`math`
`math.abs`
`math.acos`
`math.asin`
`math.atan`
`math.atan2`
`math.ceil`
`math.cos`
`math.def`
`math.exp`
`math.floor`
`math.frexp`
`math.ldexp`
`math.log`
`math.log10`
`math.max`
`math.min`
`math.mod`
`math.pi`
`math.rad`
`math.random`
`math.randomseed`
`math.sin`
`math.sqrt`
`math.tan`
metamethod
....... add
....... call
....... concatenation
....... div
....... index
....... lt
....... mul
....... pow
....... sub
....... unm
metamethod
metamethods
metatable
methods
``mul'' event
multiple assignment

### N

namespaces
`next`
nil
not
number
Numerical constants

### O

Operator precedence
or
`os`
`os.clock`
`os.date`
`os.difftime`
`os.execute`
`os.exit`
`os.getenv`
`os.remove`
`os.rename`
`os.setlocale`
`os.time`
`os.tmpname`

### P

`pairs`
pattern
pattern item
`pcall`
``pow'' event
pre-compilation
`print`
pseudo-indices

### R

`rawget`
`rawset`
records
relational operators
repeat-until statement
`require`
reserved words
return statement

### S

`self`
`setglobals`
`setmetatable`
short-cut evaluation
stack index
state
statements
string
`string`
`string.byte`
`string.char`
`string.find`
`string.format`
`string.gsub`
`string.len`
`string.lower`
`string.rep`
`string.sub`
`string.upper`
``sub'' event

### T

table
`table`
table of globals
`table.concat`
`table.foreach`
`table.foreachi`
`table.getn`
`table.insert`
`table.remove`
`table.setn`
`table.sort`
thread
tokens
`tonumber`
`tostring`
`type`

### U

``unm'' event
`unpack`
userdata

### V

valid index
Values and Types
vararg function
version 4.0
visibility

### W

weak references
weak table
while-do statement

Last update: Tue Dec 17 11:49:21 EDT 2002